org.apache.maven

## Class DefaultMaven

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.DefaultMaven

- All Implemented Interfaces:
    Maven

      public class DefaultMaven
      extends AbstractLogEnabled
      implements Maven

  Version:
    $Id: DefaultMaven.java 798706 2009-07-28 20:50:02Z brett $
  Author:
    Jason van Zyl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PlexusContainer` | `container`
    `protected ErrorDiagnostics` | `errorDiagnostics`
    `protected LifecycleExecutor` | `lifecycleExecutor`
    `protected MavenProjectBuilder` | `projectBuilder`
    `protected RuntimeInformation` | `runtimeInformation`

    - ### Fields inherited from interface org.apache.maven.Maven

      `POMv4, RELEASE_POMv4, ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMaven()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contextualize(Context context)`
    `protected MavenSession` | `createSession(MavenExecutionRequest request, ReactorManager rpm)`
    `void` | `execute(MavenExecutionRequest request)`
    `protected static java.lang.String` | `formatTime(long ms)`
    `MavenProject` | `getProject(java.io.File pom, ArtifactRepository localRepository, Settings settings, java.util.Properties userProperties, ProfileManager globalProfileManager)` Deprecated. Use `getProject(File, MavenExecutionRequest)` instead.
    `MavenProject` | `getProject(java.io.File pom, MavenExecutionRequest request)`
    `protected void` | `line()`
    `protected void` | `logError(java.lang.Exception e, boolean showErrors)`
    `protected void` | `logFailure(BuildFailureException e, boolean showErrors)`
    `protected void` | `logFatal(java.lang.Throwable error)`
    `protected void` | `logSuccess(ReactorManager rm)`
    `protected void` | `stats(java.util.Date start)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### projectBuilder

          protected MavenProjectBuilder projectBuilder

    - #### lifecycleExecutor

          protected LifecycleExecutor lifecycleExecutor

    - #### container

          protected PlexusContainer container

    - #### errorDiagnostics

          protected ErrorDiagnostics errorDiagnostics

    - #### runtimeInformation

          protected RuntimeInformation runtimeInformation

  - ### Constructor Detail

    - #### DefaultMaven

          public DefaultMaven()

  - ### Method Detail

    - #### execute

          public void execute(MavenExecutionRequest request)
                       throws MavenExecutionException

      Specified by:
        `execute` in interface `Maven`
      Throws:
        `MavenExecutionException`

    - #### getProject

          public MavenProject getProject(java.io.File pom,
                                ArtifactRepository localRepository,
                                Settings settings,
                                java.util.Properties userProperties,
                                ProfileManager globalProfileManager)
                                  throws ProjectBuildingException,
                                         ArtifactResolutionException,
                                         ProfileActivationException

      Deprecated. Use `getProject(File, MavenExecutionRequest)` instead.
      Throws:
        `ProjectBuildingException`
        `ArtifactResolutionException`
        `ProfileActivationException`

    - #### getProject

          public MavenProject getProject(java.io.File pom,
                                MavenExecutionRequest request)
                                  throws ProjectBuildingException,
                                         ArtifactResolutionException,
                                         ProfileActivationException

      Throws:
        `ProjectBuildingException`
        `ArtifactResolutionException`
        `ProfileActivationException`

    - #### createSession

          protected MavenSession createSession(MavenExecutionRequest request,
                                   ReactorManager rpm)

    - #### contextualize

          public void contextualize(Context context)
                             throws ContextException

      Throws:
        `ContextException`

    - #### logFatal

          protected void logFatal(java.lang.Throwable error)

    - #### logError

          protected void logError(java.lang.Exception e,
                      boolean showErrors)

    - #### logFailure

          protected void logFailure(BuildFailureException e,
                        boolean showErrors)

    - #### logSuccess

          protected void logSuccess(ReactorManager rm)

    - #### stats

          protected void stats(java.util.Date start)

    - #### line

          protected void line()

    - #### formatTime

          protected static java.lang.String formatTime(long ms)